<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.core-management.service.configuration-changes" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="max-history"/>
        <elem name="addr-params" value="profile,host,subsystem,service"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.core-management"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.management.configuration.changes"/>
    </provides>
    <refs>
        <ref feature="subsystem.core-management"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="core-management"/>
        <param name="service" feature-id="true" default="configuration-changes"/>
        <param name="max-history" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>